StringDescription (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest
Class StringDescription

    java.lang.Object
      org.hamcrest.BaseDescription
          org.hamcrest.StringDescription

All Implemented Interfaces:
  Description

    public class StringDescription

extends BaseDescription

A `Description` that is stored as a string.

Nested Class Summary

Nested classes/interfaces inherited from interface org.hamcrest.Description
`Description.NullDescription`

Field Summary

Fields inherited from interface org.hamcrest.Description
`NONE`

Constructor Summary
`StringDescription()`
`StringDescription(java.lang.Appendable out)`

Method Summary
`protected void` | `append(char c)` Append the char c to the description.
`protected void` | `append(java.lang.String str)` Append the String str to the description.
`static java.lang.String` | `asString(SelfDescribing selfDescribing)` Alias for `toString(SelfDescribing)`.
`java.lang.String` | `toString()` Returns the description as a string.
`static java.lang.String` | `toString(SelfDescribing selfDescribing)` Return the description of a `SelfDescribing` object as a String.

Methods inherited from class org.hamcrest.BaseDescription
`appendDescriptionOf, appendList, appendText, appendValue, appendValueList, appendValueList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringDescription

    public StringDescription()

### StringDescription

    public StringDescription(java.lang.Appendable out)

Method Detail

### toString

    public static java.lang.String toString(SelfDescribing selfDescribing)

  Return the description of a `SelfDescribing` object as a String.

  Parameters:
    `selfDescribing` - The object to be described.
  Returns:
    The description of the object.

### asString

    public static java.lang.String asString(SelfDescribing selfDescribing)

  Alias for `toString(SelfDescribing)`.

### append

    protected void append(java.lang.String str)

  Description copied from class: `BaseDescription`
  Append the String str to the description. The default implementation passes every character to `BaseDescription.append(char)`. Override in subclasses to provide an efficient implementation.

  Overrides:
    `append` in class `BaseDescription`

### append

    protected void append(char c)

  Description copied from class: `BaseDescription`
  Append the char c to the description.

  Specified by:
    `append` in class `BaseDescription`

### toString

    public java.lang.String toString()

  Returns the description as a string.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD